org.apache.lucene.luke.app.desktop.components.dialog.documents

## Class TermVectorDialogFactory

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.dialog.documents.TermVectorDialogFactory

- All Implemented Interfaces:
    DialogOpener.DialogFactory

      public final class TermVectorDialogFactory
      extends Object
      implements DialogOpener.DialogFactory

  Factory of term vector dialog

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JDialog` | `create(Window owner, String title, int width, int height)`
    `static TermVectorDialogFactory` | `getInstance()`
    `void` | `setField(String field)`
    `void` | `setTvEntries(List<TermVectorEntry> tvEntries)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TermVectorDialogFactory getInstance()
                                                     throws IOException

      Throws:
        `IOException`

    - #### setField

          public void setField(String field)

    - #### setTvEntries

          public void setTvEntries(List<TermVectorEntry> tvEntries)

    - #### create

          public JDialog create(Window owner,
                                String title,
                                int width,
                                int height)

      Specified by:
        `create` in interface `DialogOpener.DialogFactory`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.